ScrollSpec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hardware.frontpanel
Interface ScrollSpec

    public interface ScrollSpec

This interface represents th scrolling specification of a front panel text display. In a single line display text will scroll from right to left. In a multi-line display text will scroll from bottom to top. In this mode either text lines must not exceed the length of the display or wrap must be turned on.

Method Summary
`int` | `getHoldDuration()` Gets the percentage of time the scroll will hold at each character during one scroll iteration.
`int` | `getHorizontalIterations()` Gets the number of times per minute the characters are set to scroll across the screen from right to left.
`int` | `getMaxHorizontalIterations()` Gets the maximum number of times per minute characters can scroll right to left across the display with zero hold time set.
`int` | `getMaxVerticalIterations()` Gets the maximum number of times per minute characters can scroll bottom to top across the display with zero hold time set.
`int` | `getVerticalIterations()` Gets the number of times per minute the characters are set to scroll across the screen from bottom to top.
`void` | `setHoldDuration(int duration)` Sets the percentage of time to hold at each character before scrolling it to the next position during one scroll iteration.
`void` | `setHorizontalIterations(int iterations)` Sets the number of times per minute one character will scroll across the display from right to left.
`void` | `setVerticalIterations(int iterations)` Sets the number of times per minute one character will scroll across the display from bottom to top.

Method Detail

### getMaxHorizontalIterations

    int getMaxHorizontalIterations()

  Gets the maximum number of times per minute characters can scroll right to left across the display with zero hold time set.

  Returns:
    Number of horizontal scroll iterations per minute. Returns zero if horizontal scroll is not supported.

### getMaxVerticalIterations

    int getMaxVerticalIterations()

  Gets the maximum number of times per minute characters can scroll bottom to top across the display with zero hold time set.

  Returns:
    Number of vertical scroll iterations per minute. Returns -1 if the display only supports one row. Returns zero if vertical scroll is not supported.

### getHorizontalIterations

    int getHorizontalIterations()

  Gets the number of times per minute the characters are set to scroll across the screen from right to left.

  Returns:
    Number of horizontal scroll iterations per minute. A value of 0 indicates horizontal scrolling is turned off. A value of -1 indicates there is more than one row displayed and characters will scroll vertically.

### getVerticalIterations

    int getVerticalIterations()

  Gets the number of times per minute the characters are set to scroll across the screen from bottom to top.

  Returns:
    Number of vertical scroll iterations per minute. A value of 0 indicates vertical scrolling is turned off. A value of -1 indicates there is only one row of characters displayed and characters will scroll horizontally.

### setHorizontalIterations

    void setHorizontalIterations(int iterations)

  Sets the number of times per minute one character will scroll across the display from right to left.

  Parameters:
    `iterations` - Number of horizontal scroll iterations per minute.
  Throws:
    `IllegalArgumentException` - if the iteration is negative or exceed the value returned by `getMaxHorizontalIterations`.

### setVerticalIterations

    void setVerticalIterations(int iterations)

  Sets the number of times per minute one character will scroll across the display from bottom to top.

  Parameters:
    `iterations` - Number of vertical scroll iterations per minute.
  Throws:
    `IllegalArgumentException` - if the iteration is negative or exceed the value returned by `getMaxVerticalalIterations`.

### getHoldDuration

    int getHoldDuration()

  Gets the percentage of time the scroll will hold at each character during one scroll iteration.

  Returns:
    Character hold duration.

### setHoldDuration

    void setHoldDuration(int duration)

  Sets the percentage of time to hold at each character before scrolling it to the next position during one scroll iteration.

  Parameters:
    `duration` - Character hold percentage duration. Setting this value causes a smooth scroll across all characters without a hold on any of them.
  Throws:
    `IllegalArgumentException` - if duration is negative or if the duration percentage is greater than 100 divided by the number of characters to scroll across during horizontal scroll, or the number of rows to scroll across during vertical scroll.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD